Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.errorstripe.api/1 2.2.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.editor.errorstripe
Class UpToDateStatusProvider

    java.lang.Object
      org.netbeans.spi.editor.errorstripe.UpToDateStatusProvider

    public abstract class UpToDateStatusProvider

extends Object

UpToDateStatus provider. TODO: better javadoc.

Field Summary
`static String` | `PROP_UP_TO_DATE` Name of property which should be fired when the up-to-date status changes.

Constructor Summary
`UpToDateStatusProvider()` Creates a new instance of MarkProvider

Method Summary
`protected void` | `firePropertyChange(String name, Object old, Object nue)` Fire property change event to all registered listener.
`abstract UpToDateStatus` | `getUpToDate()` Report whether the current annotations attached to the documents are up-to-date (the meaning of up-to-date is left on the provider).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_UP_TO_DATE

    public static final String PROP_UP_TO_DATE

  Name of property which should be fired when the up-to-date status changes.

  See Also:
    Constant Field Values

Constructor Detail

### UpToDateStatusProvider

    public UpToDateStatusProvider()

  Creates a new instance of MarkProvider

Method Detail

### getUpToDate

    public abstract UpToDateStatus getUpToDate()

  Report whether the current annotations attached to the documents are up-to-date (the meaning of up-to-date is left on the provider). If a provider does not provide this information, it should always return `UpToDateStatus.UP_TO_DATE_OK` value.

  Returns:
    a value of the `UpToDateStatus` enum.
  See Also:
    `UpToDateStatus.UP_TO_DATE_OK`, `UpToDateStatus.UP_TO_DATE_PROCESSING`, `UpToDateStatus.UP_TO_DATE_DIRTY`

### firePropertyChange

    protected final void firePropertyChange(String name,
                                            Object old,
                                            Object nue)

  Fire property change event to all registered listener. Subclasses should call this method when they need to fire the `PropertyChangeEvent` because property `PROP_UP_TO_DATE` have changed.

  Parameters:
    `name` - name of the property (`PROP_UP_TO_DATE`)
    `old` - previous value of the property or null if unknown
    `nue` - current value of the property or null if unknown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.editor.errorstripe.api/1 2.2.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.